## capsule-nextflow 1.1.0%2Bdfsg

=== debian/changelog ===
capsule-nextflow (1.1.0+dfsg-3) unstable; urgency=medium

  * Correcting d/watch to get the latest version from tags
  * Raising Standards version to 4.6.0 (no change)

 -- Pierre Gruet <pgt@debian.org>  Mon, 20 Dec 2021 11:20:59 +0100

capsule-nextflow (1.1.0+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Pierre Gruet <pgt@debian.org>  Tue, 17 Aug 2021 18:00:44 +0200

capsule-nextflow (1.1.0+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #987771)

 -- Pierre Gruet <pgt@debian.org>  Fri, 30 Apr 2021 17:20:02 +0200

## capsule-nextflow 1.1.1+dfsg

=== Makefile ===
clean: 
	./gradlew clean
	
compile:
	./gradlew compileJava compileTestJava

check:
	./gradlew check

upload:
	./gradlew uploadArchives

release:
	./gradlew closeAndReleaseRepository

## capsule-nextflow 1.1.0+dfsg

=== debian/control ===
Source: capsule-nextflow
Section: java
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-jdk-headless,
               gradle-debian-helper,
               maven-repo-helper,
               junit4 <!nocheck>,
               libjacoco-java <!nocheck>,
               libjimfs-java <!nocheck>,
               libtruth-java <!nocheck>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/capsule-nextflow
Vcs-Git: https://salsa.debian.org/med-team/capsule-nextflow.git
Homepage: https://github.com/nextflow-io/capsule
Rules-Requires-Root: no

Package: capsule-nextflow
Architecture: all
Depends: default-jre-headless,
         ${java:Depends},
         ${misc:Depends}
Description: packaging and deployment tool for Java applications
 A capsule is a single executable JAR that contains everything an application
 needs to run either in the form of embedded files or as declarative metadata.
 It can contain JAR artifacts, dependencies and resources, native libraries,
 the required Java Runtime Environment version, the Java Virtual Machine flags
 required to run the application well, Java or native agents and more. In
 short, a capsule is a self-contained JAR that knows everything there is to
 know about how to run the application the way it is meant to run.
 .
 One way of thinking about a capsule is as a fat JAR on steroids (that also
 allows native libraries and never interferes with your dependencies) and a
 declarative startup script rolled into one; another, is to see it is as the
 deploy-time counterpart to your build tool. Just as a build tool manages your
 build, Capsule manages the launching of your application.
 .
 This package contains a fork of the original capsule project. This fork is
 suited as a dependency of nextflow.

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack,compression=xz, dversionmangle=s/\+dfsg$//" \
 https://github.com/nextflow-io/capsule/releases/latest (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## capsule-nextflow 1.1.1+dfsg

=== debian/changelog ===
capsule-nextflow (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.1+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.1 (no change)
  * Supporting OpenJDK 17 (Closes: #1011924):
    - Removing use of java.util.jar.Pack200 package, removed in OpenJDK 17
    - Disambiguation of call to newFileSystem
    - Skipping tests attempting to access security sensitive fields
    - Adding --add-exports and --add-opens in the jar invocation
  * Removing the last lines of the autopkgtest, being useless because of set -e

 -- Pierre Gruet <pgt@debian.org>  Sun, 06 Nov 2022 22:53:37 +0100

capsule-nextflow (1.1.0+dfsg-4) unstable; urgency=medium

  * Hardening version regex to match openjdk-11 version that is currently in
    unstable

 -- Pierre Gruet <pgt@debian.org>  Sat, 09 Apr 2022 20:41:52 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libjacoco-java <!nocheck>,
                libjimfs-java <!nocheck>,
                libtruth-java <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/capsule-nextflow
 Vcs-Git: https://salsa.debian.org/med-team/capsule-nextflow.git
 Homepage: https://github.com/nextflow-io/capsule

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=gradle --with maven_repo_helper

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,repack,compression=xz, dversionmangle=s/\+dfsg$//" \
 https://github.com/nextflow-io/capsule/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
